Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface DefinitionContainer

All Known Implementing Classes:
  ArrayListDefinitionContainer, EmptyDefinitionContainer

public interface DefinitionContainer

Interface used as container of multiple Definitions. It is used for returning multiple instances of Definition from a method.

See Also:
  `Definition`

Method Summary
`Definition` | `find(java.lang.String definitionId)` Finds a Definition with the given identifier.
`boolean` | `isEmpty()` Tests whether the definition container is empty.
`java.util.Iterator` | `iterator()` Obtains an iterator for looping through each of the Definition instances contained in this DefinitionContainer.

Method Detail

### find

    public Definition find(java.lang.String definitionId)

  Finds a Definition with the given identifier.
  Parameters:
    `definitionId` - Identifier of the Definition that we want to find.
  Returns:
    The Definition object with the given identifier, or null if no such Definition is found.

### iterator

    public java.util.Iterator iterator()

  Obtains an iterator for looping through each of the Definition instances contained in this DefinitionContainer.
  Returns:
    An Iterator of Definition instances that are stored in this DefinitionContainer.

### isEmpty

    public boolean isEmpty()

  Tests whether the definition container is empty.
  Returns:
    True if this DefinitionContainer does not contain any Definition, or false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.